<?php
if(!isset($_SESSION)) {  session_start(); }
ob_start();
if(!isset($_SESSION["user_id"])){header("location:../logout.php");}
include "../actions/dbPDO.php";
$store_id     = $_POST['store_id'];
$store_name   = $_POST['store_name'];
$spaceM2      = $_POST['spaceM2'];
$area         = $_POST['area'];

$Number  = '/^[0-9]+(\.[0-9]{1,2})?$/' ;

if(empty($store_name))
{
  echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
        <b>من فضلك سجل اسم المخزن علي الاقل ليتم حفظ السجل  ...</b>
        </div>
  ";
  exit();
}else{
  if(!empty($store_name)){  $store_name = htmlspecialchars(strip_tags($store_name)) ;}else{$store_name= null; }
if(!empty($spaceM2)){
    if(!preg_match($Number,$spaceM2)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b> تأكد من الرقم !! $spaceM2 المساحة بالمتر المربع ارقام فقط</b>
      </div>
    ";
      exit();
    }
    if((strlen($spaceM2) < 0)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>انتبه مساحة المخزن اقل من الصفر ..<b>
      </div>
      ";
      exit();
    }

}else{$spaceM2 = null;}
if(!empty($area)){  $area = htmlspecialchars(strip_tags($area)) ;}else{$area = null;}
    // existing store_name in your database
$sql =$db->prepare("SELECT store_id , store_name , area , spaceM2 FROM store  WHERE store_name = ? LIMIT 1");
$sql->bindParam(1,$store_name);
$sql->execute();
  if($sql->rowCount()>1){$row = $sql->fetch(PDO::FETCH_ASSOC);
      $store_id      = $row["store_id"];
      $store_name    = $row["store_name"];
      $area          = $row["area"];
      $spaceM2       = $row["spaceM2"];
  echo "
  <div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
  <b>تم تسجيل بيانات $store_name  من قبل كود رقم $store_id بمنطقة  $area المساحة = $spaceM2</b>
  </div>
  ";
  exit();
}{

  $sql = $db->prepare(" UPDATE store SET
     store_name = ?, area = ?, spaceM2 = ?
     WHERE store.store_id =?");
   $sql->bindParam(1,$store_name);
   $sql->bindParam(2,$area);
   $sql->bindParam(3,$spaceM2);
   $sql->bindParam(4,$store_id);
   if($sql->execute()){
echo "
    <div class='alert alert-success'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>تم التحديث بنجاح</b>
    </div> ";
  }
  else{ echo "<div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
  </div>
  ";}
}}
?>
